libzypp: zyppng::detail::lifter< LiftedFun, extra > Struct Template Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zyppng::detail::lifter< LiftedFun, extra > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/lift.h>`

## Public Member Functions
| lifter (LiftedFun &&fun)
| lifter (lifter &&)=default
| ~lifter ()
template<typename T1, typename T2, typename Ret = std::pair<std::result_of_t<LiftedFun(T1)>, T2>>
Ret | operator() (std::pair< T1, T2 > &&data)

## Private Attributes
LiftedFun | _fun

## Detailed Description

template<typename LiftedFun, typename extra = void>
struct zyppng::detail::lifter< LiftedFun, extra >

Definition at line 28 of file lift.h.

## Constructor & Destructor Documentation

## ◆ lifter() [1/2]

template<typename LiftedFun, typename extra = void>

zyppng::detail::lifter< LiftedFun, extra >::lifter | ( | LiftedFun && | fun | ) |
| inline

Definition at line 30 of file lift.h.

## ◆ lifter() [2/2]

template<typename LiftedFun, typename extra = void>

zyppng::detail::lifter< LiftedFun, extra >::lifter | ( | lifter< LiftedFun, extra > && |  | ) |
| default

## ◆ ~lifter()

template<typename LiftedFun, typename extra = void>

zyppng::detail::lifter< LiftedFun, extra >::~lifter | ( |  | ) |
| inline

Definition at line 32 of file lift.h.

## Member Function Documentation

## ◆ operator()()

template<typename LiftedFun, typename extra = void>
template<typename T1, typename T2, typename Ret = std::pair<std::result_of_t<LiftedFun(T1)>, T2>>

Ret zyppng::detail::lifter< LiftedFun, extra >::operator() | ( | std::pair< T1, T2 > && | data | ) |
| inline

Definition at line 38 of file lift.h.

## Member Data Documentation

## ◆ _fun

template<typename LiftedFun, typename extra = void>

LiftedFun zyppng::detail::lifter< LiftedFun, extra >::_fun
| private

Definition at line 42 of file lift.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/lift.h